BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration is used by .

Although and appear in , they are not valid for use as the parameter for because they describe no environment variable access types or all environment variable access types, respectively, and expects a single environment variable access type.

Specifies access to environment variables.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.EnvironmentPermissionAccess AllAccess To be added.

  and access to environment variables. represents multiple values and causes an when used as the parameter for the method, which expects a single value.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.EnvironmentPermissionAccess NoAccess To be added.

  No access to environment variables. represents no valid values and causes an when used as the parameter for , which expects a single value.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.EnvironmentPermissionAccess Read To be added.

  Only read access to environment variables is specified. Changing, deleting and creating environment variables is not included in this access level.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.EnvironmentPermissionAccess Write To be added.

  Only write access to environment variables is specified. Write access includes creating and deleting environment variables as well as changing existing values. Reading environment variables is not included in this access level.

  0
0